Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17244

Description

A common theme I'm noticing is that any time QGIS starts doing something, if I then try and close that dialog, QGIS will "crash" (as in,

bring up the "QGIS is not responding" windows dialog). This seems to be 100% repeatable.

Examples:

 - Connecting to Oracle with wrong credentials - while it times out if I click the "x" on the dialog - crash.

 - Close attribute table while it is saving changes - crash.

 - Join attributes by location - press the "x" while it is processing - Crash.

The crash isn't actually a crash, it is basically the fact that QGIS stops responding and Windows thinks it has crashed (which is basically

the same thing if you click "close the program).

Windows 7, x64, d61cb25

History

#1 - 2013-08-16 06:13 AM - Nathan Woodrow

This is simply because we don't use threads in a lot of the code so the UI gets blocked while we are waiting on something long.

#2 - 2013-08-16 06:16 AM - Jonathan Moules

It makes QGIS seem really really unstable. It threw me for a while; less technical users won't get the distinction between "not responding" and "crash".

#3 - 2013-08-16 06:32 AM - Nathan Woodrow

Of course.  It's common problem with a lot of applications.  Threading can sometimes take a little bit to get right which is why most people don't go for it

right way when working on a problem.  Lucky Qt takes away a bit of that pain.

#4 - 2014-06-21 04:43 AM - Jürgen Fischer

- Status changed from Open to Closed

IIRC if an application doesn't seem to react to the close request, Windows offers to kill it or just let it continue.  So it's not an crash, but the user chose to

kill it.   Anyway, the multithreaded rending should help with this - although there might be still stuff, that blocks the whole process and takes time to

complete.  If you run into those please file individual tickets (so those can eventually been moved to threads too).

2025-06-09 1/2



Files

Clipboard01.png 17.6 KB 2013-08-16 Jonathan Moules

2025-06-09 2/2


